﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKREPORT') 
 CREATE TABLE T_PMPT_TASKREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FISCOMPLETE CHAR(1) DEFAULT '0' NOT NULL,
FCOMPLETETIME DATETIME,
FREPORTDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPERCENT BIGINT DEFAULT 0 NOT NULL,
FHUIBAOPERSON VARCHAR(200) DEFAULT ' ' NOT NULL,
FPERSONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLATEST CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKREPORTDOC') 
 CREATE TABLE T_PMPT_TASKREPORTDOC (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FRESULTNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FFORCE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESULTID VARCHAR(500) DEFAULT ' ' NOT NULL,
FFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_UPLOADDOC') 
 CREATE TABLE T_PMPT_UPLOADDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPCRUXNODEENTRY') 
 CREATE TABLE T_PMPT_OPCRUXNODEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCRUXTASKID BIGINT DEFAULT 0 NOT NULL,
FCRUXTASKSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCRUXTASKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXMAJORNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCRUXPLANENDTIME DATETIME,
FCRUXREALENDTIME DATETIME,
FCRUXREALTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCRUXRESPONSIBLEPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXRESPONSIBLEDEPT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXCOOPERATIONPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXCOOPERATIONDEPT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRUXVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPDATADETAILENTRY') 
 CREATE TABLE T_PMPT_OPDATADETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FPLANEND BIGINT DEFAULT 0 NOT NULL,
FONTIMEEND BIGINT DEFAULT 0 NOT NULL,
FOVERTIMEEND BIGINT DEFAULT 0 NOT NULL,
FCOMPLETIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERTIMENOTEND BIGINT DEFAULT 0 NOT NULL,
FTOTALPLANEND BIGINT DEFAULT 0 NOT NULL,
FTOTALONTIMEEND BIGINT DEFAULT 0 NOT NULL,
FTOTALOVERTIMEEND BIGINT DEFAULT 0 NOT NULL,
FTOTALCOMPLETIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOVERTIMENOTEND BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPERATIONREPORT') 
 CREATE TABLE T_PMPT_OPERATIONREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTSURVEY VARCHAR(510) DEFAULT ' ' NOT NULL,
FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTCYCLE DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FLEFTPIEDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRIGHTPIEDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FLEFTBARDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRIGHTBARDATA VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPNEXTCYCENTRY') 
 CREATE TABLE T_PMPT_OPNEXTCYCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNEXTCYCLETASKID BIGINT DEFAULT 0 NOT NULL,
FNEXTCYCLETASKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEXTTASKTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEXTMAJORNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEXTPLANSTARTTIME DATETIME,
FNEXTPLANENDTIME DATETIME,
FNEXTRESPONSIBLEPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEXTCOOPERATIONPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FNEXTVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPPROGRESSENTRY') 
 CREATE TABLE T_PMPT_OPPROGRESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROGRESSDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAJORTYPENAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPREPORTCL') 
 CREATE TABLE T_PMPT_OPREPORTCL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_OPTHISCYCENTRY') 
 CREATE TABLE T_PMPT_OPTHISCYCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTHISCYCLETASKID BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FINFLUENCE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCORRECTIVEMEASURES VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTHISTASKSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL,
FTHISCYCLETASKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTHISTASKTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTHISMAJORNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTHISRESPONSIBLEPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FTHISPLANENDTIME DATETIME,
FTHISREALENDTIME DATETIME,
FTHISREALTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_DEPTPLAN') 
 CREATE TABLE T_PMPT_DEPTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPLANNINGCYCLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(23,1) DEFAULT 0 NOT NULL,
FSOURCEPLANID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGEPLANID BIGINT DEFAULT 0 NOT NULL,
FTIMERANGE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FPLANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PERSONPLAN') 
 CREATE TABLE T_PMPT_PERSONPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPLANNINGCYCLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTIMERANGESTARTDATE DATETIME,
FTIMERANGEENDDATE DATETIME,
FTIMERANGE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PERSONPLAN_L') 
 CREATE TABLE T_PMPT_PERSONPLAN_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PROJECTPLAN') 
 CREATE TABLE T_PMPT_PROJECTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEPLANID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGEPLANID BIGINT DEFAULT 0 NOT NULL,
FMASTERPLANID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASK') 
 CREATE TABLE T_PMPT_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FAIMFINISHTIME DATETIME,
FCOMPTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSOLUTEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESPONSIBLEPERSONID BIGINT DEFAULT 0 NOT NULL,
FRESPONSIBLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FCOOPERATIONPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOOPERATIONDEPTID BIGINT DEFAULT 0 NOT NULL,
FRELATIONTASKID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBELONGPLANTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETASKID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGETASKID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISLATEST CHAR(1) DEFAULT '0' NOT NULL,
FCOMPLETIONSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPLANS VARCHAR(510) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FTASKSEQ BIGINT DEFAULT 0 NOT NULL,
FACHIEVEMENTNODE CHAR(1) DEFAULT '0' NOT NULL,
FPRETASKID BIGINT DEFAULT 0 NOT NULL,
FLOGICAL VARCHAR(30) DEFAULT ' ' NOT NULL,
FRELATIVEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALENDTIME DATETIME,
FLONGNUMBER VARCHAR(450) DEFAULT ' ' NOT NULL,
FRESULTDOC VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FRISKCOLOR VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASK_L') 
 CREATE TABLE T_PMPT_TASK_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKREFERDOC') 
 CREATE TABLE T_PMPT_TASKREFERDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKREFERENTRY') 
 CREATE TABLE T_PMPT_TASKREFERENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FREFERDOCNAME VARCHAR(160) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKRESULTENTRY') 
 CREATE TABLE T_PMPT_TASKRESULTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULTNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FFORCE CHAR(1) DEFAULT '0' NOT NULL,
FFREQUENCY VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_CONTROLLEVEL') 
 CREATE TABLE T_PMPT_CONTROLLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_MAJORTYPE') 
 CREATE TABLE T_PMPT_MAJORTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPLANTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_MAJORTYPE_L') 
 CREATE TABLE T_PMPT_MAJORTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLANTYPENAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTEMPLATE') 
 CREATE TABLE T_PMPT_PLANTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRETEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FVALIDVERSION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTEMPLATE_L') 
 CREATE TABLE T_PMPT_PLANTEMPLATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTPLRELEVANT') 
 CREATE TABLE T_PMPT_PLANTPLRELEVANT (
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTPLRESDETAIL') 
 CREATE TABLE T_PMPT_PLANTPLRESDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULTNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FFORCE CHAR(1) DEFAULT '0' NOT NULL,
FFREQUENCY VARCHAR(30) DEFAULT ' ' NOT NULL,
FRESULTDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTPLTASKENTRY') 
 CREATE TABLE T_PMPT_PLANTPLTASKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTASKNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL,
FSPECTYPEID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FABSOLUTEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRETASK VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRETASKID BIGINT DEFAULT 0 NOT NULL,
FLOGICAL VARCHAR(30) DEFAULT ' ' NOT NULL,
FRELATIVEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESPONSIBLEPOSTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FASSOCIATEPOSTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FACHIEVEMENTNODE CHAR(1) DEFAULT '0' NOT NULL,
FDISABLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PLANTPLTASKENTRY_L') 
 CREATE TABLE T_PMPT_PLANTPLTASKENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTASKNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PROJCALENDARENTRY') 
 CREATE TABLE T_PMPT_PROJCALENDARENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FWORKDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PROJWORKCALENDAR') 
 CREATE TABLE T_PMPT_PROJWORKCALENDAR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUROFBEGINTIMEAM BIGINT DEFAULT 0 NOT NULL,
FMINOFBEGINTIMEAM BIGINT DEFAULT 0 NOT NULL,
FHOUROFENDTIMEAM BIGINT DEFAULT 0 NOT NULL,
FMINOFENDTIMEAM BIGINT DEFAULT 0 NOT NULL,
FHOUROFBEGINTIMEPM BIGINT DEFAULT 0 NOT NULL,
FMINOFBEGINTIMEPM BIGINT DEFAULT 0 NOT NULL,
FHOUROFENDTIMEPM BIGINT DEFAULT 0 NOT NULL,
FMINOFENDTIMEPM BIGINT DEFAULT 0 NOT NULL,
FISSUNREST CHAR(1) DEFAULT ' ' NOT NULL,
FISMONREST CHAR(1) DEFAULT ' ' NOT NULL,
FISTUEREST CHAR(1) DEFAULT ' ' NOT NULL,
FISWEDREST CHAR(1) DEFAULT ' ' NOT NULL,
FISTHUREST CHAR(1) DEFAULT ' ' NOT NULL,
FISFRIREST CHAR(1) DEFAULT ' ' NOT NULL,
FISSATREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFSUNREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFMONREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFTUEREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFWEDREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFTHUREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFFRIREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFSATREST CHAR(1) DEFAULT ' ' NOT NULL,
FEXPIRINGYEARFROM VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPIRINGMONTHFROM VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPIRINGYEARTO VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPIRINGMONTHTO VARCHAR(30) DEFAULT ' ' NOT NULL,
FISINDIVIDUATION CHAR(1) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_PROJWORKCALENDAR_L') 
 CREATE TABLE T_PMPT_PROJWORKCALENDAR_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKTYPE') 
 CREATE TABLE T_PMPT_TASKTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FISPROJECTTASK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKTYPE_L') 
 CREATE TABLE T_PMPT_TASKTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURS') 
 CREATE TABLE T_PMPT_WORKHOURS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FWORKDATE DATETIME,
FHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURS_L') 
 CREATE TABLE T_PMPT_WORKHOURS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_RISKWARNINGSET') 
 CREATE TABLE T_PMPT_RISKWARNINGSET (
FID BIGINT DEFAULT 0 NOT NULL,
FRISKTIME BIGINT DEFAULT 0 NOT NULL,
FRISKCOLOR VARCHAR(60) DEFAULT ' ' NOT NULL,
FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_CONTROLLEVEL_L') 
 CREATE TABLE T_PMPT_CONTROLLEVEL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
