﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_WORKHOURS' AND KSQL_COL_NAME ='FEFFECTIVEHOUR') 
 ALTER TABLE T_PMPT_WORKHOURS ADD (FEFFECTIVEHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASK_WORKHOURS') 
 CREATE TABLE T_PMPT_TASK_WORKHOURS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETIONSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDAY_7_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAYSUM_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAYSUM_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_6_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_7_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_5_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_6_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_4_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_5_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_3_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_4_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_2_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_3_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FDAY_1_EFFECTIVE BIGINT DEFAULT 0 NOT NULL,
FDAY_2_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FDAY_1_ACTUAL BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAJORTYPE VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURS_BILLMAP') 
 CREATE TABLE T_PMPT_WORKHOURS_BILLMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWORKHOURSID BIGINT DEFAULT 0 NOT NULL,
FWORKHOURSBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURS_BILLMAP_L') 
 CREATE TABLE T_PMPT_WORKHOURS_BILLMAP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURSBILL') 
 CREATE TABLE T_PMPT_WORKHOURSBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FDEPARTID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FDATEFIELD DATETIME,
FORIBILLID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_WORKHOURSBILL_NUM') 
 CREATE TABLE T_PMPT_WORKHOURSBILL_NUM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
